Page MenuHomePhabricator

Quality control and newcomer socialization tools with revscoring and ORES
Closed, ResolvedPublic

Description

We will introduce the ORES service for obtaining quality measures for edits and articles. We'll present a few technologies that are already making use of ORES to do interesting things.

Then we'll discuss the next steps for applying these technologies to Wikimedian projects

  • Quality control tools
  • Newcomer socialization tools
  • MediaWiki integration
  • New model types

Tasks created as a result of this meeting:

Event Timeline

Halfak created this task.Sep 30 2015, 2:27 PM
Halfak updated the task description. (Show Details)
Halfak raised the priority of this task from to Needs Triage.
Halfak moved this task to Backlog on the Wikimedia-Developer-Summit-2016 board.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2015, 2:27 PM
Halfak renamed this task from Building tools with revscoring and ORES to Quality control and newcomer socialization tools with revscoring and ORES.Sep 30 2015, 2:35 PM
Halfak set Security to None.
Halfak claimed this task.Sep 30 2015, 3:30 PM

Congratulations! This is one of the 52 proposals that made it through the first deadline of the Wikimedia-Developer-Summit-2016 selection process. Please pay attention to the next one: > By 6 Nov 2015, all Summit proposals must have active discussions and a Summit plan documented in the description. Proposals not reaching this critical mass can continue at their own path out of the Summit.

Hi @Halfak, this proposal is focusing on a Summit session but there is no indication about topics that could be discussed here before, and therefore it is missing active discussion now. Note that pre-scheduled Summit sessions are expected to be preceded by online discussions and a plan to reach to conclusions and next steps. It would be good to sort out these problems before the next deadline on November 6.

@Capt_Swing, would you be interested in spending some time designing/hacking better attention routing tools at the Dev Summit? It seems like we could spend some time looking at the way that HostBot could use a good-faith-iness score and engineer something easier to use than Snuggle's API. (A simple function call/API request to ORES could work really well and would never be offline.)

@Ladsgroup, I haven't thought very hard about what quality control ought to look like in WikiData. It seems that we'll likely have a good model online by this time. Want to spend some time in this session hacking on some gadgets/bots/extensions?

@Ladsgroup, I haven't thought very hard about what quality control ought to look like in WikiData. It seems that we'll likely have a good model online by this time. Want to spend some time in this session hacking on some gadgets/bots/extensions?

I will write some gadgets in the hack session.

@Lydia_Pintscher, do you know anyone who might like to discuss on some counter-vandalism/newcomer support tools for WikiData with us during this session?

Maybe @aude, @hoo, @thiemowmde and @daniel? I'd like to be in on the discussion as well if somehow possible.

Hi @Halfak, sorry--I missed your ping. Yes, I would love to work on a better newcomer identification mechanism for HostBot at the Dev Summit.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 10:52 AM
Halfak updated the task description. (Show Details)Jan 4 2016, 7:07 PM
Halfak added a comment.Jan 4 2016, 7:14 PM

Hey folks, We'll be scheduling this session in the unconference rooms tomorrow (Tuesday, 5th) at 10AM. Room still TBD. Check https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016 at 8:30 AM PST.

Hey folks, We'll be scheduling this session in the unconference rooms tomorrow (Tuesday, 5th) at 10AM. Room still TBD. Check https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit_2016 at 8:30 AM PST.

Nice, I was just looking for that info right now.

cscott added a subscriber: cscott.Jan 4 2016, 8:04 PM

This session seems to have been put in the R2 slot on the schedule -- apparently by mistake?

Let me know if we really want to discuss this in a shared session with T112991: Semantic image styles / beautiful layout -- they don't really seem that related to me.

Halfak added a comment.Jan 4 2016, 8:09 PM

Woops! Fixed that. Thanks for pointing it out.

Halfak updated the task description. (Show Details)Jan 14 2016, 11:15 PM
Halfak moved this task from Staged to Done (current quarter) on the Research board.

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!

Halfak closed this task as Resolved.Jan 21 2016, 3:43 PM